## icingaweb2-module-toplevelview 1.0.0

=== Makefile ===
.PHONY: setup test

setup:
	mkdir -p _libraries &&\
	git clone --depth 1 -b snapshot/nightly https://github.com/Icinga/icinga-php-library.git _libraries/ipl &&\
	git clone --depth 1 -b snapshot/nightly https://github.com/Icinga/icinga-php-thirdparty.git _libraries/vendor &&\
	git clone --depth 1 https://github.com/Icinga/icingaweb2.git _icingaweb2 &&\
	git clone --depth 1 https://github.com/Icinga/icingadb-web.git _icingaweb2/modules/icingadb
	ln -s `pwd` _icingaweb2/modules/toplevelview
test:
	ICINGAWEB_LIBDIR=_libraries phpunit
lint:
	phplint application/ library/
phpcs:
	phpcs application/ library/

## icingaweb2-module-toplevelview 0.3.1

=== debian/changelog ===
icingaweb2-module-toplevelview (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #921103).

 -- David Kunz <david.kunz@dknet.ch>  Mon, 8 Feb 2021 15:57:38 +0200

=== debian/control ===
Source: icingaweb2-module-toplevelview
Section: admin
Priority: optional
Maintainer: David Kunz <david.kunz@dknet.ch>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.1
Homepage: https://github.com/Icinga/icingaweb2-module-toplevelview
Vcs-Browser: https://salsa.debian.org/david-guest/icingaweb2-module-toplevelview
Vcs-Git: https://salsa.debian.org/david-guest/icingaweb2-module-toplevelview.git

Package: icingaweb2-module-toplevelview
Section: admin
Architecture: all
Depends:
 icingaweb2,
 icingaweb2-module-monitoring,
 php-yaml,
 ${misc:Depends},
Enhances:
 icingaweb2,
Description: simple and responsive web interface for Icinga - top level view
 Icinga Web 2 is a very modular, fast and simple web interface for your Icinga
 monitoring environment.
 .
 Top Level View is a hierarchy based status view for Icinga Web 2.

## icingaweb2-module-toplevelview 0.3.3

=== debian/changelog ===
icingaweb2-module-toplevelview (0.3.3-3) unstable; urgency=medium

  * Updating debconf question (Closes: #1052190).

 -- David Kunz <david.kunz@dknet.ch>  Mon, 23 Oct 2023 11:08:28 +0200

icingaweb2-module-toplevelview (0.3.3-2) unstable; urgency=medium

  * Configure debconf.
  * Adding upstream metadatas.
  * Updating copyright for debian directory.
  * Updating Standards-Version to 4.6.2.
  * Remove duplicate Section in control.
  * Adding Rules-Requires-Root to control.
  * Standardization of the rules for icingaweb2 modules.
  * Standardization of the control for icingaweb2 modules.
  * Adding Spanish debconf translations from Camaleón.
  * Adding Dutch debconf translations from Francs Spiesschaert.
  * Adding German debconf translations from Christoph Brinkhaus.
  * Remove whitespace in changelog.
  * Remove Licesnce in docs.

 -- David Kunz <david.kunz@dknet.ch>  Fri, 25 Aug 2023 16:51:31 +0200

icingaweb2-module-toplevelview (0.3.3-1) unstable; urgency=medium

  * Merging upstream version 0.3.3.
  * Updating Standards-Version to 4.6.0.
  * Updating vcs.
  * Updating copyright for David Kunz.
  * Updating copyright for Icinga Development Team.

 -- David Kunz <david.kunz@dknet.ch>  Fri, 24 Dec 2021 07:53:59 +0100

icingaweb2-module-toplevelview (0.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.
  [ David Kunz ]
  * debian/watch: Add a watch file.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Oct 2021 18:26:41 -0400

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: David Kunz <david.kunz@dknet.ch>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/Icinga/icingaweb2-module-toplevelview
-Vcs-Browser: https://salsa.debian.org/david-guest/icingaweb2-module-toplevelview
-Vcs-Git: https://salsa.debian.org/david-guest/icingaweb2-module-toplevelview.git
+Vcs-Browser: https://salsa.debian.org/david.kunz/icingaweb2-module-toplevelview
+Vcs-Git: https://salsa.debian.org/david.kunz/icingaweb2-module-toplevelview.git
 
 Package: icingaweb2-module-toplevelview
-Section: admin
 Architecture: all
 Depends:
  icingaweb2,

=== debian/rules ===
#!/usr/bin/make -f

MODULE := toplevelview
DEBDIR := debian/icingaweb2-module-$(MODULE)

%:
	dh ${@}

override_dh_auto_install:
	mkdir -p $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)
	find . -maxdepth 1 -mindepth 1 -and -not -name debian -and -not -name ".git*" -and -not -name ".pc" -exec cp -a {} $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) \;

	# remove useless files
	rm -f $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/.mailmap
	rm -f $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/docker-compose.dev.yml
	rm -rf $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/test
	find debian -name '.git*' -exec rm -f {} +

execute_after_dh_installdocs:
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name AUTHORS -exec rm -f {} \;
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name COPYING -exec rm -f {} \;
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name LICENSE -exec rm -f {} \;
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name README -exec rm -f {} \;
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name "*.md" -exec rm -f {} \;
	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -type d -empty -delete
	rm -rf $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/doc
	rm -f $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/public/js/vendor/codemirror/SOURCE
	rm -f $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/public/js/vendor/codemirror/VERSION

## icingaweb2-module-toplevelview 0.3.4

=== debian/changelog ===
icingaweb2-module-toplevelview (0.3.4-1) unstable; urgency=medium

  * Adding Swedish debconf translations from Martin Bagge (Closes: #1059130).
  * Adding French debconf translations from Jean-Pierre Giraud
    (Closes: #1060645).
  * Updating German debconf translation from Hermann-Josef Beckers
    (Closes: #1066924).
  * Renaming d/po/ge.po to d/po/de.po to correct language code.
  * Removing unnecessary line 'X-Generator' in d/po/{de,es,fr,nl}.po files.
  * Updating copyright for 2024 and remove newline.
  * Correcting misspellings in changelog for 0.3.3-2.
  * Replace embedded javascript library with libjs-codemirror as depends.
  * Merging upstream version 0.3.4.
  * Updating copyright for upstream to 2024.

 -- David Kunz <david.kunz@dknet.ch>  Tue, 02 Jul 2024 10:40:33 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Depends:
  icingaweb2,
  icingaweb2-module-monitoring,
+ libjs-codemirror,
  php-yaml,
  ${misc:Depends},
 Enhances:

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,20 @@
 	rm -rf $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/test
 	find debian -name '.git*' -exec rm -f {} +
 
+	# codemirror css
+	rm -rf $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/public/css/vendor/codemirror/*
+	ln -s /usr/share/nodejs/codemirror/addon $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/public/css/vendor/codemirror/addon
+	ln -s /usr/share/nodejs/codemirror/lib/codemirror.css $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/public/css/vendor/codemirror/codemirror.css
+
+	# codemirror js
+	rm -rf $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/public/js/vendor/codemirror/*
+	ln -s /usr/share/nodejs/codemirror/addon $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/public/js/vendor/codemirror/addon
+	ln -s /usr/share/nodejs/codemirror/lib/codemirror.js $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/public/js/vendor/codemirror/codemirror.js
+
+	# yaml.js
+	mkdir -p $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/public/js/vendor/codemirror/mode
+	ln -s /usr/share/nodejs/codemirror/mode/yaml/yaml.js $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/public/js/vendor/codemirror/mode/yaml.js
+
 execute_after_dh_installdocs:
 	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name AUTHORS -exec rm -f {} \;
 	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name COPYING -exec rm -f {} \;

## icingaweb2-module-toplevelview 0.4.0

=== debian/changelog ===
icingaweb2-module-toplevelview (0.4.0-1) unstable; urgency=medium

  * Merging upstream version 0.4.0.
  * Updating d/copyright for public/js/vendor/codemirror/*.
  * Updating depends in d/control.
  * Updating enhaces in d/control.
  * Updating docs and cleanup after for dh_installdocs.

 -- David Kunz <david.kunz@dknet.ch>  Thu, 12 Sep 2024 15:22:19 +0200

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,14 @@
 Architecture: all
 Depends:
  icingaweb2,
- icingaweb2-module-monitoring,
+ icinga-php-library,
  libjs-codemirror,
  php-yaml,
+ nodejs,
  ${misc:Depends},
 Enhances:
  icingaweb2,
+ icingaweb2-module-icingadb,
 Description: simple and responsive web interface for Icinga - top level view
  Icinga Web 2 is a very modular, fast and simple web interface for your Icinga
  monitoring environment.

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,4 @@
 	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name LICENSE -exec rm -f {} \;
 	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name README -exec rm -f {} \;
 	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -name "*.md" -exec rm -f {} \;
-	find $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) -type d -empty -delete
 	rm -rf $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/doc
-	rm -f $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/public/js/vendor/codemirror/SOURCE
-	rm -f $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/public/js/vendor/codemirror/VERSION

## icingaweb2-module-toplevelview 1.0.0

=== debian/changelog ===
icingaweb2-module-toplevelview (1.0.0-1) unstable; urgency=medium

  * Merging upstream version 1.0.0.
  * d/rules: Remove entries for non-existing files.
  * Updating copyright for d/.
  * Adding Brazilian Portuguese debconf translations from Paulo Henrique de Lima
    Santana (Closes: #1094267).
  * Updating Standards-Version to 4.7.0.
  * Adding Portuguese debconf translations from Américo Monteiro
    (Closes: #1099391).
  * d/rules: Disable unittest scaffolding to not load other icinga-modules.

 -- David Kunz <david.kunz@dknet.ch>  Tue, 01 Apr 2025 15:41:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: David Kunz <david.kunz@dknet.ch>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Icinga/icingaweb2-module-toplevelview
 Vcs-Browser: https://salsa.debian.org/david.kunz/icingaweb2-module-toplevelview

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,15 @@
 %:
 	dh ${@}
 
+# disable execute makefiles
+override_dh_auto_build:
+override_dh_auto_test:
+
 override_dh_auto_install:
 	mkdir -p $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)
 	find . -maxdepth 1 -mindepth 1 -and -not -name debian -and -not -name ".git*" -and -not -name ".pc" -exec cp -a {} $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE) \;
 
 	# remove useless files
-	rm -f $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/.mailmap
-	rm -f $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/docker-compose.dev.yml
 	rm -rf $(DEBDIR)/usr/share/icingaweb2/modules/$(MODULE)/test
 	find debian -name '.git*' -exec rm -f {} +

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/icingaweb2-module-toplevelview-$1\.tar\.gz/ \
  https://github.com/icinga/icingaweb2-module-toplevelview/tags .*/v?(\d\S+)\.tar\.gz

## icingaweb2-module-toplevelview 1.0.1

=== debian/changelog ===
icingaweb2-module-toplevelview (1.0.1-1) unstable; urgency=medium

  * Updating d/control to version 4.7.3.
  * Merging upstream version 1.0.1.

 -- David Kunz <david.kunz@dknet.ch>  Fri, 27 Feb 2026 15:29:57 +0100

icingaweb2-module-toplevelview (1.0.0-2) unstable; urgency=medium

  * Adding Catalan debconf translations from Carles Pina i Estany
    (Closes: #1118981).
  * Sort Depends in d/control in alphabetic order.
  * Adding Salsa Continuous Integration.
  * Updating copyrights.
  * Updating Standards-Version to 4.7.2.
  * Updating d/watch to Version 5.
  * Remove unused Rules-Requires-Root in d/control.
  * Renaming files in d/.
  * Updating d/rules.
  * Adding d/links.
  * Adding d/dirs.

 -- David Kunz <david.kunz@dknet.ch>  Mon, 19 Jan 2026 13:11:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: icingaweb2-module-toplevelview
 Section: admin
-Priority: optional
 Maintainer: David Kunz <david.kunz@dknet.ch>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/Icinga/icingaweb2-module-toplevelview
 Vcs-Browser: https://salsa.debian.org/david.kunz/icingaweb2-module-toplevelview
 Vcs-Git: https://salsa.debian.org/david.kunz/icingaweb2-module-toplevelview.git
@@ -13,11 +11,11 @@
 Package: icingaweb2-module-toplevelview
 Architecture: all
 Depends:
+ icinga-php-library,
  icingaweb2,
- icinga-php-library,
  libjs-codemirror,
+ nodejs,
  php-yaml,
- nodejs,
  ${misc:Depends},
 Enhances:
  icingaweb2,
